com.sap.conn.jco

## Interface JCoStructure

- All Superinterfaces:
    Cloneable, Iterable<JCoField>, JCoRecord, Serializable

      public interface JCoStructure
      extends JCoRecord

  JCoStructure is for data containers that need a certain layout in memory. Those structures are often defined as parameters in function module parameter lists. Its underlying metadata can also be used for a JCoTable.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCoRecordFieldIterator` | `getRecordFieldIterator()` Returns an iterator over JCoRecordField.
    `JCoRecordMetaData` | `getRecordMetaData()` Returns the appropriated meta data object, that was used for creation of this record.

    - ### Methods inherited from interface com.sap.conn.jco.JCoRecord

      `clear, clone, copyFrom, getAbapObject, getAbapObject, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBinaryStream, getBinaryStream, getByte, getByte, getByteArray, getByteArray, getChar, getChar, getCharacterStream, getCharacterStream, getCharArray, getCharArray, getClassNameOfValue, getDate, getDate, getDouble, getDouble, getField, getField, getFieldCount, getFieldIterator, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getShort, getShort, getString, getString, getStructure, getStructure, getTable, getTable, getTime, getTime, getValue, getValue, isInitialized, isInitialized, iterator, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValue, toJSON, toJSON, toXML, toXML, toXML, write, write`

- - ### Method Detail

    - #### getRecordMetaData

          JCoRecordMetaData getRecordMetaData()

      Returns the appropriated meta data object, that was used for creation of this record.
      Returns:
        JCoRecordMetaData instance of the appropriated meta data object

    - #### getRecordFieldIterator

          JCoRecordFieldIterator getRecordFieldIterator()

      Returns an iterator over JCoRecordField.
      Returns:
        JCoRecordFieldIterator instance
      See Also:
        `JCoRecord.iterator()`

Copyright © 2016 SAP. All Rights Reserved.